Bug 216083 - files missing from junit-javadoc
files missing from junit-javadoc
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: junit (Show other bugs)
All All
medium Severity medium
: ---
: ---
Assigned To: Sami Wagiaalla
Depends On:
  Show dependency treegraph
Reported: 2006-11-17 00:51 EST by Fran Taylor
Modified: 2016-06-07 18:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-03-11 16:08:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fran Taylor 2006-11-17 00:51:32 EST
Description of problem:

files are missing from javadocs

Version-Release number of selected component (if applicable):

How reproducible:

every time

Steps to Reproduce:
1. install junit-javadoc package
2. view this url in a web browser: file:///usr/share/javadoc/junit-3.8.2/index.html
3. Click on any class name.
Actual results:

file not found error

Expected results:

javadoc web page

Additional info:
Comment 1 Trevin Beattie 2007-12-19 18:55:18 EST
The following packages are also missing Javadoc documentation:


This bug also affects Red Hat Enterprise Linux 5.
Comment 2 Bug Zapper 2008-04-04 00:44:26 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Trevin Beattie 2008-04-04 11:00:01 EDT
The contents of junit-javadoc-3.8.2-3jpp.3.fc8.i386.rpm and
avalon-framework-javadoc-4.1.4-2jpp.14.fc7.i386.rpmlook correct. 
gnu-crypto-javadoc does not appear to be present in FC8.

I don't see any *-javadoc packages at all in FC9-Beta.

I recommend moving the bug to RHEL, since release 5 is still the most recent
release on that line.
Comment 4 Deepak Bhole 2008-04-07 15:56:07 EDT
Thanks for verifying!

-javadoc packages have been removed from the Fedora DVD. They will still be part
of the distro however, and should be available via yum.

I am moving this to RHEL5.
Comment 5 Sami Wagiaalla 2013-03-11 16:08:25 EDT
RHEL 5 ended Production Phase 1 and only security issues and major bugs will be fixed from now on.

Note You need to log in before you can comment on or make changes to this bug.